diff -ru PyWebDAV-0.9~/DAV/delete.py PyWebDAV-0.9/DAV/delete.py
--- PyWebDAV-0.9~/DAV/delete.py	2009-05-01 17:36:40.000000000 +0200
+++ PyWebDAV-0.9/DAV/delete.py	2009-05-03 02:08:40.000000000 +0200
@@ -26,7 +26,6 @@
 import urllib
 from StringIO import StringIO
 
-from status import STATUS_CODES
 from utils import gen_estring, quote_uri, make_xmlresponse
 from davcmd import deltree
 
Only in PyWebDAV-0.9~/DAV: status.py
diff -ru PyWebDAV-0.9~/DAV/utils.py PyWebDAV-0.9/DAV/utils.py
--- PyWebDAV-0.9~/DAV/utils.py	2009-05-01 17:36:40.000000000 +0200
+++ PyWebDAV-0.9/DAV/utils.py	2009-05-03 02:08:31.000000000 +0200
@@ -16,7 +16,7 @@
 from StringIO import StringIO
 
 from constants import RT_ALLPROP, RT_PROPNAME, RT_PROP
-from status import STATUS_CODES
+from BaseHTTPServer import BaseHTTPRequestHandler
 
 VERSION = '0.9-dev'
 AUTHOR  = 'Simon Pamies <s.pamies@banality.de>'
@@ -25,8 +25,8 @@
 def gen_estring(ecode):
     """ generate an error string from the given code """
     ec=atoi(str(ecode))
-    if STATUS_CODES.has_key(ec):
-        return "HTTP/1.1 %s %s" %(ec,STATUS_CODES[ec])
+    if BaseHTTPRequestHandler.responses.has_key(ec):
+        return "HTTP/1.1 %s %s" %(ec, BaseHTTPRequestHandler.responses[ec][0])
     else:
         return "HTTP/1.1 %s" %(ec)
 
diff -ru PyWebDAV-0.9~/DAV/WebDAVServer.py PyWebDAV-0.9/DAV/WebDAVServer.py
--- PyWebDAV-0.9~/DAV/WebDAVServer.py	2009-05-03 02:19:52.000000000 +0200
+++ PyWebDAV-0.9/DAV/WebDAVServer.py	2009-05-03 02:18:03.000000000 +0200
@@ -48,7 +48,6 @@
 from davmove import MOVE
 
 from string import atoi,split
-from status import STATUS_CODES
 from errors import *
 
 class DAVRequestHandler(AuthServer.BufferedAuthRequestHandler):
@@ -413,7 +412,8 @@
                 return
 
         if res:
-            self.send_body_chunks(res,207,STATUS_CODES[207],STATUS_CODES[207],
+            self.send_body_chunks(res,207,self.responses[207][0],
+                            self.responses[207][1],
                             ctype='text/xml; charset="utf-8"')
         else:
             self.send_status(result_code)
@@ -426,6 +426,6 @@
     def send_status(self,code=200,mediatype='text/xml;  charset="utf-8"', \
                                 msg=None,body=None):
 
-        if not msg: msg=STATUS_CODES[code]
-        self.send_body(body,code,STATUS_CODES[code],msg,mediatype)
+        if not msg: msg=self.responses[code][1]
+        self.send_body(body,code,self.responses[code][0],msg,mediatype)
 
